Skip to main content
GET
/
v2
/
intelligence
/
insight
/
driver-duty-status-breakdown
List driver duty status breakdown summaries
curl --request GET \
  --url https://api.catenatelematics.com/v2/intelligence/insight/driver-duty-status-breakdown \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "driver_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "fleet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "fleet_ref": "<string>",
      "window": {
        "from_datetime": "2023-11-07T05:31:56Z",
        "to_datetime": "2023-11-07T05:31:56Z"
      },
      "days_in_window": 123,
      "total_logged_hours": 123,
      "average_daily_hours_by_duty_status": {},
      "percentage_by_duty_status": {}
    }
  ],
  "total": 1,
  "current_page": "<string>",
  "current_page_backwards": "<string>",
  "previous_page": "<string>",
  "next_page": "<string>"
}
Provisional endpoint
This endpoint is available for early access. The core schema is stable, but minor details — such as field names or added fields — may change before it becomes generally available. Backward compatibility is not guaranteed.

See API Stability & Versioning for details on provisional endpoints.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

fleet_ids
string<uuid>[] | null

Limit results to specific fleets using Catena's fleet IDs. For your own fleet identifiers, use fleet_refs instead To specify multiple values, repeat the parameter for each value (e.g., ?fleet_ids=id1&fleet_ids=id2).

Maximum array length: 100
fleet_refs
string[] | null

Limit results to specific fleets using your organization's fleet reference identifiers. To specify multiple values, repeat the parameter for each value (e.g., ?fleet_refs=ref1&fleet_refs=ref2).

Maximum array length: 100
connection_id
string<uuid> | null

Limit results to a specific provider connection. This is the UUID assigned by Catena when your fleet connects to a TSP.

driver_ids
string<uuid>[] | null

Limit results to specific drivers. Maximum: 100 IDs To specify multiple values, repeat the parameter for each value (e.g., ?driver_ids=id1&driver_ids=id2).

Maximum array length: 100
from_datetime
string<date-time>

Return only records that occurred on or after this date and time. Format: ISO 8601 (UTC) Applies filter: occurred_at >= from_datetime Default value: now() - 1 day Restriction: to_datetime - from_datetime cannot exceed 90 days

Example:

"2026-06-25T14:45:35.208899Z"

to_datetime
string<date-time>

Return only records that occurred before this date and time. Format: ISO 8601 (UTC) Applies filter: occurred_at < to_datetime Default value: now() Restriction: to_datetime - from_datetime cannot exceed 90 days

Example:

"2026-06-26T14:45:35.208946Z"

cursor
string | null

Cursor for the next page

size
integer
default:300

Page size

Required range: 1 <= x <= 1000

Response

Successful Response

items
DriverDutyStatusBreakdownSummary · object[]
required
total
integer
required
Required range: x >= 0
current_page
string | null

Cursor to refetch the current page

current_page_backwards
string | null

Cursor to refetch the current page starting from the last item

previous_page
string | null

Cursor for the previous page

next_page
string | null

Cursor for the next page